import { LitElement, html } from "lit";
import { customElement, state } from "lit/decorators.js";
import { bindings } from "../../../decorators/bindings.js";
import { LightDomMixin } from "../../../mixins/light-dom.js";
import { SlotsForNoShadowDOMMixin } from "../../../mixins/slots-for-no-shadow-dom-mixin.js";
import "../../common/atomic-tab-bar/atomic-tab-bar.js";
function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if ("object" == typeof Reflect && "function" == typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if ("object" == typeof Reflect && "function" == typeof Reflect.metadata) return Reflect.metadata(k, v);
}
class AtomicIpxTabs extends LightDomMixin(SlotsForNoShadowDOMMixin(LitElement)) {
    initialize() {}
    render() {
        return html`<atomic-tab-bar
      ><div role="tablist" style="display:flex;flex-direction:row;width:100%">
        ${this.renderDefaultSlotContent()}
      </div></atomic-tab-bar
    >`;
    }
}
_ts_decorate([
    state(),
    _ts_metadata("design:type", "u" < typeof Bindings ? Object : Bindings)
], AtomicIpxTabs.prototype, "bindings", void 0);
_ts_decorate([
    state(),
    _ts_metadata("design:type", "u" < typeof Error ? Object : Error)
], AtomicIpxTabs.prototype, "error", void 0);
AtomicIpxTabs = _ts_decorate([
    customElement('atomic-ipx-tabs'),
    bindings()
], AtomicIpxTabs);
export { AtomicIpxTabs };
